# API base URLs Ripple makes RESTful APIs available to integrate, manage, and interact with Ripple products and services. To use these APIs you need to use the correct base URL. A base URL is part of a well-formed REST URL. To form the final API request, append the necessary version, path, resource, and parameters to the base URL. All environments use unique base URLs For more information on the correct base URL for the API environment you interact with, see [Base URL by API environment](#base-url-by-api-environment). ## Components of a base URL A base URL includes the HTTPS protocol, the `[domainPrefix]` if required, and the domain. A `[domainPrefix]` refers to a segment of the base URL that's variable depending on the API and environment. Each API has its own unique URL and these are the general components: ![baseurl](/assets/baseurl.978b0b174a36bf19d26f2bca9b42a7109d43f118c5372e1754ae3a3f2754556d.35e5bcbb.png) Tenant IDs Your tenant ID is provided during the onboarding process. Contact your Ripple liaison for assistance. The examples on this page use the tenant ID `aperture` for demonstration purposes. ## Example This example uses `aperture` for the tenant in the `test` environment using the RippleNet Server API: ```https URL format https://{domainPrefix}.{domain}/{path}?{parameters} ``` ```https Example URL https://aperture.test.ripplexcurrent.com/v4/payments?page=0&size=100 ``` The following table describes each component of a complete API request: | Field | Example value | Description | | --- | --- | --- | | **Protocol** | `https` | Ripple uses the HTTPS protocol for all APIs. | | **Domain Prefix** | `aperture.test` | Domain prefix requirements vary between APIs and environments.Verify the prefix requirements used with your [API environment](#base-url-by-api-environment).Prefixes can contain: **Tenant**: Your tenant ID is provided during the onboarding process. Contact your support team for assistance. **Env**: This is the value of the [API environment](#base-url-by-api-environment) you are planning to use.**Example**: The RippleNet Server API requires a `{tenant}.{env}` configuration. The demonstration tenant ID is set to `aperture` and the environment is set to `test`. | | **Domain** | `ripplexcurrent.com` | The domain is unique for each API.This example targets the RippleNet Server API and uses the `ripplexcurrent.com` domain. | | **Path** | `/v4/payments` | The path is appended to the base URL to reach the endpoint for the API operation.This example targets the RippleNet Server API and uses the `/v4/payments` endpoint. | | **Parameters** | `page=0&size=100` | Apply any required or optional query parameters for your API operation.This example uses [pagination](/products/payments-odl/api-docs/ripplenet/best-practices/pagination) to start on the first page with 100 results per page. | ## Base URL by API environment The `[domainPrefix]` of the base URL is unique to both an API and the environment in which you use the API. You can use Ripple APIs in the following environments: * **Test**: Simulated partners and simulated currency. * **UAT**: Actual partners and simulated currency. * **Production**: Production environment with actual partners and currency. Tokens are unique per environment In addition to unique base URLs, access tokens are also unique per environment. Be sure to [request the access token](/products/payments-odl/api-docs/ripplenet/best-practices/authentication#request-the-access-token) for the desired environment. ### Base URL for RippleNet Server API The RippleNet Server API — including the *orchestration* payment operations — creates a dynamic `[domainPrefix]` that consists of `{tenant}.{environment}`. For more information, see the [RippleNet Server API](/products/payments-odl/api-docs/ripplenet/reference/openapi/). **Note**: The following examples use `aperture` as the tenant, your tenant ID will be different. ```https URL Format  https://{domainPrefix}.{domain}/{path}?{parameters} # This is the URL format for the RippleNet Server API. ``` ```https Example Base URL  https://aperture.test.ripplexcurrent.com/ # This is the base URL for the RippleNet Server API. ``` ```https Example fully-qualified URL  https://aperture.test.ripplexcurrent.com/v4/payment?page=0&size=100 # This connects to the test environment and requests a list of payments with 100 results per page. ``` | Environment | Domain Prefix | Domain | Base URL | | --- | --- | --- | --- | | Test | `aperture.test` | `ripplexcurrent.com` | `https://aperture.test.ripplexcurrent.com` | | UAT | `aperture.uat` | `ripplexcurrent.com` | `https://aperture.uat.ripplexcurrent.com` | | Production | `aperture.prod` | `ripplexcurrent.com` | `https://aperture.prod.ripplexcurrent.com` | ### Base URL for Smart Liquidation API The Smart Liquidation API assigns a `[domainPrefix]` based on the environment. Your tenant information is automatically derived from your API credentials. For more information, see [Smart Liquidation API](/products/payments-odl/api-docs/smart_liquidation/reference/openapi/). ```https URL Format   https://{domainPrefix}.{domain}/{path}?{parameters} # This is the URL format for the Smart Liquidation API. ``` ```https Example Base URL   https://liquidation-test.pub.prod.ripplenet.com/ # This is the base URL for the Smart Liquidation API. ``` ```https Example fully-qualified URL   https://liquidation-test.pub.prod.ripplenet.com/liquidations?page=0&size=100 # This connects to the test environment and requests a list of liquidations with 100 results per page. ``` | Environment | Domain Prefix | Domain | Base URL | | --- | --- | --- | --- | | Test | `liquidation-test.pub.prod` | `ripplenet.com` | `liquidation-test.pub.prod.ripplenet.com` | | Production | `liquidation.pub.prod` | `ripplenet.com` | `liquidation.pub.prod.ripplenet.com` | ### Base URL for Report Service API The Report Service API assigns a `[domainPrefix]` based on the environment. Your tenant information is automatically derived from your API credentials. For more information, see [Report Service API](/products/payments-odl/api-docs/report_service/reference/openapi/). ```https URL Format    https://{domainPrefix}.{domain}/{path}?{parameters} # This is the URL format for the Report Service API. ``` ```https Example Base URL    https://reporting-test.rnc.ripplenet.com/ # This is the base URL for the Report Service API. ``` ```https Example fully-qualified URL    https://reporting-test.rnc.ripplenet.com/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08 # This connects to the test environment and requests a specific report by ID. ``` | Environment | Domain Prefix | Domain | Base URL | | --- | --- | --- | --- | | Test | `reporting-test.rnc` | `ripplenet.com` | `https://reporting-test.rnc.ripplenet.com` | | Production | `reporting.rnc` | `ripplenet.com` | `https://reporting.rnc.ripplenet.com` |